# $Revision: 1.30 $, $Date: 2002/02/06 03:23:08 $
Summary:	GNU smalltalk (No X support)
Summary(pl):	GNU smalltalk (Bez wsparcia dla X)
Name:		smalltalk
Version:	1.95.10
Release:	1
License:	GPL
Group:		Development/Languages
Group(de):	Entwicklung/Sprachen
Group(pl):	Programowanie/Jzyki
Source0:	ftp://prep.ai.mit.edu/pub/gnu/smalltalk/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-PACKAGE.patch
Icon:		smalltalk.xpm
BuildRequires:	readline-devel >= 4.2
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Smalltalk is a Free (or Open Source) implementation that closely
follows the Smalltalk-80 language as described in the book
Smalltalk-80: the Language and its Implementation by Adele Goldberg
and David Robson. GNUSmalltalk runs on most versions of Unix or Unix
like systems (GNU/Linux, FreeBSD, etc...). There is even a version for
commercial operating systems like MS-NT.

%description -l pl
GNU Smalltalk jest Woln (lub Open Source) implementacj tak blisk
jzykowi Smalltalk-80 jak to jest opisane w ksice
Smalltalk-80: the Language and its Implementation napisanej przez
Adele Goldberg oraz David Robson. GNUSmalltalk dziaa na wikszoci
wersji Unix'w lub systemw Unixo-podobnych (GNU/Linux, FreeBSD, etc...).
Jest nawet wersja dla systemw komercyjnych, takich jak M$-NT.

%package devel
Summary:	GNU SmallTalk header files
Summary(pl):	Pliki nagwkowe dla GNU SmallTalka
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
Requires:	%{name} = %{version}

%description devel
The GNU SmallTalk header files.

%description devel -l pl
Pliki nagwkowe dla GNU SmallTalka.

%package static
Summary:	Static libraries for GNU Smalltalk
Summary(pl):	Biblioteki statyczne dla GNU Smalltalka
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
Requires:	%{name}-devel = %{version}

%description static
The GNU SmallTalk static libraries.

%description static -l pl
Biblioteki statyczne dla GNU SmallTalka.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Development,%{_pixmapsdir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

ln -sf ../../bin/gst $RPM_BUILD_ROOT%{_datadir}/gnu-smalltalk/gst

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Development
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

gzip -9nf AUTHORS NEWS README THANKS

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr (755,root,root) %{_bindir}/gst
%{_datadir}/gnu-smalltalk
%{_infodir}/gst*
%{_mandir}/man1/*
%{_applnkdir}/Development/*
%{_prefix}/X11R6/share/pixmaps/*

%files devel
%defattr(644,root,root,755)
%doc *.gz
%attr (755,root,root) %{_bindir}/gst-config
%attr (755,root,root) %{_bindir}/gst-package
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgst.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: smalltalk.spec,v $
Revision 1.30  2002/02/06 03:23:08  kloczek
- updated to 1.95.10 (bugfix releae).

Revision 1.29  2002/02/01 14:55:16  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.28  2002/01/30 22:32:55  misiek
- don't include dir.gz; release 2

Revision 1.27  2002/01/21 13:36:18  kura
- updated to 1.95.9
- added PACKAGE.patch
- added `autoconf` and `automake -a -c`

Revision 1.26  2002/01/18 02:14:56  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/09/29 22:16:24  blues
- release 3
- configure2_13 used
- some translations

Revision 1.24  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.22  2001/04/13 19:28:03  wiget
rebuild with readline 4.2 and allow building without installed smalltalk

Revision 1.21  2001/02/07 18:21:47  kloczek
- updated to 1.95.1,
- als spec adapterized and updated %files lists.

Revision 1.20  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.19  2000/07/13 23:22:32  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.18  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.17  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.15  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.14  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.12  2000/03/23 12:31:27  kloczek
- release 2,
- rebuild against readline 4.1.

Revision 1.11  2000/02/22 16:57:18  kloczek
- added smalltalk menu icon file (in png format).

Revision 1.10  2000/02/22 16:45:11  kloczek
- fix in applnk dir name.

Revision 1.9  2000/02/22 16:32:48  kloczek
- fixed conflict between Icon file and Source2,
- desktop file moved to %%{_applnkdir}/Development.

Revision 1.8  2000/02/20 16:09:40  zagrodzki
- temporarily moved emacs macros to %doc

Revision 1.7  2000/02/19 22:45:56  zagrodzki

- added .xpm icon
- added .desktop file
- new package (smalltalk-emacs)
- changed path from %{_datadir}/smalltalk to %{_datadir}/gnu-smalltalk

Revision 1.6  2000/02/19 11:13:47  kloczek
- added missing requires rules for devel and static.

Revision 1.5  2000/02/19 11:12:12  kloczek
- updated to 1.7,
- updated Source url,
- spec adapterized.

Revision 1.4  1999/11/19 03:13:26  kloczek
- release 5,
- build against ncurses 5.0.

Revision 1.3  1999/10/17 21:35:05  kloczek
- fixed %%{_datadir}/smalltalk/gst sysmlink.

Revision 1.2  1999/10/17 20:57:43  kloczek
- added info patch with fix smalltak info index entry,
- removed from %doc texi documentation,
- cosmetics.

Revision 1.1  1999/10/15 09:51:18  zagrodzki
- based on RH smalltalk-1.1.5 spec file

Revision 1.00  1999/10/13 17:42:00  zagrodzki
- initial rpm release
- few bugfixes in Makefiles
